This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 503180

Summary: Grub doesn't recognize any disk after installation
Product: [Fedora] Fedora Reporter: Marcin <marcin.wolyniak>
Component: grubAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 11CC: atgnbk, dcantrell, joelsplace, othorsen, pjones, surenkarapetyan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:44:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Gzipped tar archive of outputs from lscpi, /proc/interupts and installed grub.conf none

Description Marcin 2009-05-29 09:02:16 EDT
Description of problem:
After installation to hdd from LiveCD x86_64 and reboot boot proccess stops at grub command line. Hardware used: HP Pavilion dv5-1150ew. HDD clean without any partition table.

Version-Release number of selected component (if applicable):

grub versions from F11 Preview x86_64 Live CD and from F11 rc2 LiveCD build taken from http://alt.fedoraproject.org/pub/alt/stage/f11-rc2/


How reproducible:
every attempt to boot after install from Live CD

Steps to Reproduce:
1.Boot Live CD
2.Run Installer
3.Complete installation with using entire disk for F11 and default layout
4.Reboot after completed installation
  
Actual results:
Boot proccess stops at grub command line

Expected results:
Boot proccess continues.

Additional info:
Root and boot partitions of installed F11 mount cleanly under Live CD session and seems to be complete.
HP Pavilion dv5-1150ew BIOS rev. 33, new machine, hdd checked for bad sectors, live cd image checked, burned cds checked.
Attached output from lspci, /proc/interrupts and installed grub.conf
Comment 1 Marcin 2009-05-29 09:04:25 EDT
Created attachment 345905 [details]
Gzipped tar archive of outputs from lscpi, /proc/interupts and installed grub.conf
Comment 2 Marcin 2009-05-29 09:09:23 EDT
Oups. Forgot to add that isuuing grub command root (hd0,0) gives grub error 21 and looking with other values for hd device and/or partion gave no results. also finding stage1 files gave no results
Comment 3 Marcin 2009-05-31 08:38:37 EDT
The same effect when installing from installation DVD x86_64 F11 rc2 from http://alt.fedoraproject.org/pub/alt/stage/f11-rc2/

All installation logs don't have any errors when creating partitions, formatting, installing grub.

After booting to rescue mode and reinstalling grub manually, either by grub-install /dev/sda or from grub console by root (hd0,0), find /grub/stage1 ( displays (hd0,0), setup (hd0) and rebooting, situation changes in that I do not have grub console any longer, but only Error 21 displayed.

Installation of FreeDOS or Windows Vista on this machine has no problems, and system restarts succesfully.

When installing F10 LiveCD x86_64 isntallation abort with critical error when formating partitions.
Comment 4 Marcin 2009-06-01 10:18:00 EDT
Sorry for the lots of comments, but still trying to boot on this machine.
Another try - Ubuntu 9.04 amd64 installation gives the same error.
Downgrading BIOS to the factory released version F31 - gave nothing.
In grub console issuing gemoetry (hdx) where x=1,2,3,4 gave Error 21.
Disk is visible, accessible and "geometry (hd0)" command works ok.
Seems grub sees disk, and vital boot files when booted from CD, booted from mbr of hdd doesn't recognize anything.

Memory was tested with internal BIOS routine and by memtest. HDD wass tested by inetrnal BIOS routine and  smartctl routines. Both are OK.

I have to ask - Shouldn't this bug considered critical for F11? Seems F11 is not bootable on this machines.
Comment 5 Jesse Keating 2009-06-04 09:57:22 EDT
This is something I've seen no other reports of, and will likely be very difficult to fix without having your specific hardware.  The fact that Ubuntu also doesn't work on it is pretty telling, and no, it wouldn't be a blocker for F11.
Comment 6 Marcin 2009-06-05 15:12:23 EDT
Thanks for the answer.
It's a pity that F11 will not be directly bootable by GRUB on this hardware. :-(
Chances are that all HP pavilion dvX models based on this AMD Turion model remain unbootable - they share the same BIOS and HDD controller/chipset. Tried on dv
But good news now.
I've managed to find workaround. Grub boots F11 by chainloading it by Vista's boot record. It isn't clean resolution, but works.

Regards

Marcin

BTW. There is still an error during installation of F11 PR, rc1 ,rc2 ,rc3 ,rc4 while installing GRUB on the boot partition instead disk MBR. GRUB is still installed in both places instead the one choosen: on the start of boot partition. This bug erases Vista's boot record.
Comment 7 Arthur Turrini 2009-06-07 12:59:06 EDT
I had the same problem here (HP Pavilion DV5-1240br, AMD Turion X2 Dual Core with Debian amd64), and solved it by installing LILO instead of GRUB.

It's a great machine, but trying to make GRUB work on it was a nightmare. So I've used LILO in place.

Regards,

---
Arthur Turrini.
Comment 8 Marcin 2009-06-08 05:19:55 EDT
Thanks for the another workaround.
Must admit I was considering LILO during the battle with GRUB. But decided to not going LILO way. I decided to leave Vista partition to be able to make firmware updates (BIOS, audio/tv pilot) from Windows only installers.

The working LILO is an example that GRUB has serious problems with HP Pavilion Turion based hardware.

Regards

Marcin WoƂyniak
Comment 9 Arthur Turrini 2009-06-08 06:46:14 EDT
Well, I wiped all HD before installation, so, no Vista here.
I'm doing bios firmware updates using modified flashrom/insydeco.

One more note, I had to recompile Debian's kernel (2.6.29/30) and build some SATA drivers as native, because the default kernel can't detect any hard drive/partitions (I do use initrd).

It's a very strange GRUB behavior.
Comment 10 Bug Zapper 2009-06-09 12:47:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Marcin 2009-06-17 09:40:49 EDT
(In reply to comment #9)
> I'm doing bios firmware updates using modified flashrom/insydeco.
OT. Could You point me to procedure how to flash with modified insydeco? Thanks in advance.
Comment 12 Suren Karapetyan 2009-06-22 12:41:25 EDT
I don't think it will help much but let me add a "me too".
I'll try to install grub2 or an older grub1 to find out if they work.
Comment 13 Suren Karapetyan 2009-06-23 00:44:45 EDT
Time for details and good news!
My system also is a hp dv5 series 1145ee.
Neither Grub nor Grub2 were able to see the HDD.
Not sure how, but Grub4DOS worked! It was ablt to boot Fedora but booting Windows brought NTLDR errors like "NTLDR: Couldn't open drive multi(0)disk(0)rdisk(0)partition(1)".

And now the good news! The updated F.34 firmware from hp.com support pages fixed the problems for me!
Hope it will help others too!
Comment 14 Marcin 2009-06-23 04:23:42 EDT
(In reply to comment #13)
> Time for details and good news!
> My system also is a hp dv5 series 1145ee.
> Neither Grub nor Grub2 were able to see the HDD.
> Not sure how, but Grub4DOS worked! It was ablt to boot Fedora but booting
> Windows brought NTLDR errors like "NTLDR: Couldn't open drive
> multi(0)disk(0)rdisk(0)partition(1)".
> 
> And now the good news! The updated F.34 firmware from hp.com support pages
> fixed the problems for me!
> Hope it will help others too!  

Thanks for the good news. Hope this help. I have not the machine in my hands now - it is my friend machine, but I will try with this new firmware when I got this machine.
Regards
Marcin
Comment 15 Oystein Thorsen 2009-08-26 19:36:39 EDT
I'm having the same problem with my machine only I do not have an HP machine.

I thought it had something to do with the fact that I have a RAID (software) card installed on the machine. (The RAID card gives me problems installing from the LiveCD, but not from the regular install DVD.)

The machine was running fine under Fedora 9 (I installed the RAID card after the machine was already running F9), I was just trying to wipe everything and install F11...
Comment 16 joelsplace 2009-11-18 00:05:16 EST
Me too
nForce3-A ECS w/80GB SATA
BIOS sees the drive and Windows XP and Vista will install and work fine.
Same problem with F11 i386 DVD and F12 i386 DVD
Boots to Grub prompt and after booting to rescue and re-installing Grub gives Error 21 on boot
Comment 17 Bug Zapper 2010-04-27 10:34:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 08:44:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.